Loading...
Searching...
No Matches
refinedlagrangebasis.hh File Reference
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/math.hh>`
`#include <dune/localfunctions/refined.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::RefinedLagrangePreBasis< GV, k, R >
| A pre-basis for a refined Lagrange bases. More...
class | Dune::Functions::RefinedLagrangeNode< GV, k, R >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k, typename R = double>
using | Dune::Functions::RefinedLagrangeBasis = DefaultGlobalBasis<RefinedLagrangePreBasis<GV,k,R> >
| Nodal basis of a continuous Lagrange finite-element space on a uniformly refined simplex element.

## Functions

template<int k, typename R = double>
auto | Dune::Functions::BasisFactory::refinedLagrange ()
| Create a pre-basis factory that can create a RefinedLagrange pre-basis.